import React from 'react';
import {
    View,
    Text,
    TextInput,
    } from 'react-native';
import {
        Header,
        Button,
    } from 'react-native-elements';


class SettingsScreen extends React.Component {
    // 1
    constructor(props) {
      super(props);
      this.state = { text: "" };
    }
  
    //2
    changeText(inputText) {
      const formattedText = "\u{1F632}" + inputText;
      this.setState({ text: formattedText });
    }
  
    //3
    endEditing() {
      const formattedText = this.state.text + "\u{2708}";
      this.setState({ text: formattedText });
    }
    
    static navigationOptions = ({ navigation }) => {
      return {
        title: navigation.getParam('otherParam', 'Settings'),
        headerStyle: {
          backgroundColor: '#3333ff',
        },
        headerTintColor: '#fff',
      };
    };
   
  
   
    render() {
      return (
        <View style={{ flex: 1, alignItems: 'center', justifyContent: 'center'}}>
    <Text>Settings Screen{"\n"}{"\n"}
      RPI Media Center Control v 1.0 beta Settings{"\n"}</Text>
      <Text>{"\n"}server IP/hostname: </Text>
        <TextInput name="IP" style={{borderWidth: 1, width: 100}} ></TextInput>
      <Text>{"\n"}</Text>
      
         
        
        <Button title="Save" type="outline"
        />
        </View>
  
      );
    }
  }

  export default SettingsScreen;